"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const conf_1 = require("../../services/conf");
const docker_1 = require("../../services/docker");
const util_1 = require("../../util");
class CreateCore {
    constructor({ name, framework, rdc, extendRdc, rdcRepo }) {
        this.name = '';
        this.framework = 'vue';
        // format: name:version
        this.rdc = '';
        this.extendRdc = false;
        this.rdcConf = null;
        this.rdcRepo = '';
        this.name = name;
        this.framework = framework;
        this.rdc = rdc;
        this.extendRdc = extendRdc;
        this.rdcRepo = rdcRepo;
    }
    async start() {
        await util_1.default.asyncExec(`rm -rf ${conf_1.default.tmpDir} && mkdir ${conf_1.default.tmpDir}`);
        // pull resources
        await this.prepare();
        await this.genConfFile();
        await this.genExtraFiles();
    }
    async getRdcConf() {
        const name = this.rdc.split(':')[0];
        const confPath = `${conf_1.default.tmpDir}/${conf_1.default.rdcConfName}`;
        await docker_1.default.copy(this.rdc, `${conf_1.default.dockerWorkDirRoot}/${name}/${conf_1.default.rdcConfName}`, confPath);
        this.rdcConf = require(confPath);
    }
    async prepare() { }
    async genConfFile() { }
    async genExtraFiles() { }
}
exports.default = CreateCore;
